/*
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <ph@desktopbsd.net>
 *			(C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

/* Simple container for DesktopBSD modules. */


void frmModuleContainer::accept() {
	module->apply();

	QDialog::accept();
}


void frmModuleContainer::reject() {
	QDialog::reject();
}


/** Caution: You have to delete the module itself
  *			 after destroying this dialog.
  *
  * Note: Use reparent to delegate this to a ModContainer.
  */
void frmModuleContainer::setDBSDModule(DBSDModule * m) {
	if(m != NULL)
		module = m;
}


/** Initializes the module just before
  * the dialog is shown.
  */
void frmModuleContainer::polish() {
	module->initializeModule();
}
